<html>
<head>
<title>OGRE: OgreRenderOperation.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderOperation.h</h1><a href="OgreRenderOperation_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _RenderOperation_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _RenderOperation_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreVertexIndexData_8h.html">OgreVertexIndexData.h</a>"</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 
<a name="l00039"></a><a class="code" href="classOgre_1_1RenderOperation.html">00039</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1RenderOperation.html" title="&amp;#39;New&amp;#39; rendering operation using vertex buffers.">RenderOperation</a> {
<a name="l00040"></a>00040     <span class="keyword">public</span>:
<a name="l00042"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">00042</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d" title="The rendering operation type to perform.">OperationType</a> {
<a name="l00044"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10ded142a19459e32c7d8aef5975f534d5e">00044</a>             OT_POINT_LIST = 1,
<a name="l00046"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d68a6fc2c1c6938542664b89cf213c3eb">00046</a>             OT_LINE_LIST = 2,
<a name="l00048"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d4bc7bbf09ce027518e33e61249e699a1">00048</a>             OT_LINE_STRIP = 3,
<a name="l00050"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d8c00ee152b44fe8000c2fd675437c087">00050</a>             OT_TRIANGLE_LIST = 4,
<a name="l00052"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d646d8e8fd2aad4baab4809e6f80bfc74">00052</a>             OT_TRIANGLE_STRIP = 5,
<a name="l00054"></a><a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d74eb8a7062ea4c0b2fdfe3cc6b9781ad">00054</a>             OT_TRIANGLE_FAN = 6
<a name="l00055"></a>00055         };
<a name="l00056"></a>00056 
<a name="l00058"></a><a class="code" href="classOgre_1_1RenderOperation.html#306c2ed3599abab29a027325e3d6d721">00058</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> *vertexData;
<a name="l00059"></a>00059 
<a name="l00061"></a><a class="code" href="classOgre_1_1RenderOperation.html#880adde68db01dffcfac616de0ef1f45">00061</a>         <a class="code" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d" title="The rendering operation type to perform.">OperationType</a> operationType;
<a name="l00062"></a>00062 
<a name="l00067"></a><a class="code" href="classOgre_1_1RenderOperation.html#e12d3ff9f224f21738fa50f832484f3d">00067</a>         <span class="keywordtype">bool</span> useIndexes;
<a name="l00068"></a>00068 
<a name="l00070"></a><a class="code" href="classOgre_1_1RenderOperation.html#bd5f99e4d8429321e0da75acdcfdc52f">00070</a>         <a class="code" href="classOgre_1_1IndexData.html" title="Summary class collecting together index data source information.">IndexData</a> *indexData;
<a name="l00072"></a><a class="code" href="classOgre_1_1RenderOperation.html#6f6cbc81ef5f41d3a0357a40095aba33">00072</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* srcRenderable;
<a name="l00073"></a>00073 
<a name="l00074"></a>00074 
<a name="l00075"></a><a class="code" href="classOgre_1_1RenderOperation.html#21998ad8a9cb134420158dc8e2663eac">00075</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&amp;#39;New&amp;#39; rendering operation using vertex buffers.">RenderOperation</a>() :
<a name="l00076"></a>00076             vertexData(0), operationType(OT_TRIANGLE_LIST), useIndexes(true),
<a name="l00077"></a>00077                 indexData(0) {}
<a name="l00078"></a>00078 
<a name="l00079"></a>00079     };
<a name="l00080"></a>00080 }
<a name="l00081"></a>00081 
<a name="l00082"></a>00082 
<a name="l00083"></a>00083 
<a name="l00084"></a>00084 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:54 2008
</p>
</body>
</html>
